import React from "react"
import { isAuthenticated } from "../../services/auth"
import { navigate } from "gatsby"

const PrivateRoute = ({ component: Component, location, ...rest }) => {
	if (!isAuthenticated() && location.pathname !== `/auth/signin`) {
		navigate("/auth/signin")
		return null
	}

	return <Component {...rest} />
}

export default PrivateRoute
